﻿@using GoCoCMS.Data.Domain.Identity
@using Microsoft.AspNetCore.Identity
@model GoCoCMS.Web.Models.Account.LoginViewModel
@inject SignInManager<User> SignInManager
@{
  ViewData["Title"] = "Login";
  Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1 class="my-4">Login</h1>

<section>
  <div class="text-danger" asp-validation-summary="All"></div>
  <form asp-route-returnurl="@ViewData["ReturnUrl"]" method="post">
    <h4>Use a account to log in.</h4>
    <hr />
    <div class="form-group">
      <label asp-for="Email"></label>
      <input asp-for="Email" class="form-control" />
      <span asp-validation-for="Email" class="text-danger"></span>
    </div>
    <div class="form-group">
      <label asp-for="Password"></label>
      <input asp-for="Password" class="form-control" />
      <span asp-validation-for="Password" class="text-danger"></span>
    </div>
    <div class="form-group">
      <div class="checkbox">
        <label asp-for="RememberMe">
          <input asp-for="RememberMe" />
          @Html.DisplayNameFor(m => m.RememberMe)
        </label>
      </div>
    </div>
    <div class="form-group">
      <button type="submit" class="btn btn-default">Log in</button>
    </div>
    <div class="form-group">
      @*<p>
        <a asp-action="ForgotPassword">Forgot your password?</a>
      </p>*@
      <p>
        <a asp-action="Register" asp-route-returnurl="@ViewData["ReturnUrl"]">Register as a new user?</a>
      </p>
    </div>
    <div class="form-group">
      <a class="btn btn-info" asp-area="" asp-controller="Account" asp-action="GoogleLogin"
         asp-route-returnUrl="@ViewBag.returnUrl">
        Log In With Google
      </a>
    </div>
  </form>
</section>